=== debian/changelog ===
maemo-examples (1.3-0) unstable; urgency=low

  * Removed obsolete email interface example_email_interface example.

 -- Maemo Integration <integration@maemo.org>  Mon,  2 Jan 2006 16:18:30 +0200

maemo-examples (1.2-1) unstable; urgency=low

  * Added context sensitive menu example.

 -- Maemo Integration <integration@maemo.org>  Mon,  2 Jan 2006 16:18:28 +0200

maemo-examples (1.2-0) unstable; urgency=low

  * Release 1.2

 -- Maemo Integration <integration@maemo.org>  Thu,  1 Dec 2005 11:22:34 +0200

maemo-examples (1.1-0) unstable; urgency=low

  * Examples and test for osso_email_interface.
  * Fixes in libosso_example

 -- Osvaldo Santana Neto <osvaldo.santana@indt.org.br>  Mon, 31 Oct 2005 10:19:00 -0300

maemo-examples (1.0-1) unstable; urgency=low

  * Initial Release.

 -- Osvaldo Santana Neto <osvaldo.santana@indt.org.br>  Tue, 27 Sep 2005 14:37:41 -0300
