## maemo-examples 1.4-0

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION=1.0
+VERSION=1.4
 DESTDIR=/
 CC=gcc
 CFLAGS=`pkg-config --cflags --libs gconf-2.0 hildon-libs hildon-fm gtk+-2.0 libosso gdk-2.0` -DTEXT_FILE=\"`echo ~/MyDocs/foo.txt`\"
@@ -26,9 +26,15 @@
 
 install:
 	mkdir -p $(DESTDIR)/usr/share/doc/maemo-examples
-	cp *.c Makefile README README.gconf COPYING \
+	cp *.c Makefile README README.gconf \
 		$(DESTDIR)/usr/share/doc/maemo-examples
-
+	mkdir -p $(DESTDIR)/usr/bin
+	cp $(EXAMPLES) $(DESTDIR)/usr/bin
+	mkdir -p $(DESTDIR)/usr/share/applications/hildon
+	cp *.desktop $(DESTDIR)/usr/share/applications/hildon
+	mkdir -p $(DESTDIR)/usr/share/dbus-1/services
+	cp *.service $(DESTDIR)/usr/share/dbus-1/services
+	
 $(EXAMPLES):
 	    $(CC) $(CFLAGS) $(LDFLAGS) -o $@ $@.c
