=== debian/changelog ===
maemo-examples (1.4-0) unstable; urgency=low

  * Added example binaries to package.
  * Changed the maintainer
  * Added a proper copyright text
  * Enabled building for x86 targets

 -- Maemo Integration <integration@maemo.org>  Wed, 16 May 2007 14:29:30 +0200
