=== debian/control ===
Source: maemo-examples
Section: doc
Priority: optional
Maintainer: Maemo Integration <integration@maemo.org>
Build-Depends: debhelper (>= 4.0.0)
Standards-Version: 3.7.2

Package: maemo-examples
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Maemo Development Examples
 Maemo Development Examples.
