=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,7 @@
 
 
 build: build-stamp
+	$(MAKE)
 
 build-stamp: configure-stamp 
 	dh_testdir
@@ -38,6 +39,7 @@
 binary-arch: build install
 	dh_testdir
 	dh_testroot
+	dh_link
 	dh_installexamples
 	dh_fixperms
 	dh_installdeb
