=== debian/changelog ===
maemo-examples (2.0-1) unstable; urgency=low

  * Added example_gps and example_abook to the Makefile
  * example_context, example_gconf and example_findtoolbar
    updated to support testing by dogtail

 -- Marcell Lengyel <marcell@maemo.org>  Thu, 17 Jan 2008 16:08:06 +0300

maemo-examples (2.0-0) unstable; urgency=low

  * Version bump
  * Fixed a memory leak in color chooser example (bug# 252)

 -- Marcell Lengyel <marcell@maemo.org>  Mon, 15 Oct 2007 10:18:06 +0300

maemo-examples (1.6-0) unstable; urgency=low

  * Removed maemo 3.x #ifdef's from the examples to clean up the code a bit
  * Replaced Osso Help example with example_help_framework
  * Wawlaunch example uses alsasink in X86 scratchbox and now the sounds work

 -- Marcell Lengyel <marcell@maemo.org>  Sun, 16 Sep 2007 15:23:06 +0300

maemo-examples (1.5-0) unstable; urgency=low

  * Updated all examples to use MIT license
  * Restructured Makefile
  * Fixed all examples to compile without warnings
  * Added example_common.h
  * Added Osso Help example
  * Added GnomeVFS example
  * Added Drawing example
  * Added Camera examples
  * Added Addressbook example
  * Added Bluetooth example
  * Added Bluetooth lowlevel example
  * Added Alarmd example
  * Added Wavlaunch example

 -- Jami Pekkanen <jami.pekkanen@nokia.com>  Wed,  4 Jul 2007 15:23:06 +0300

maemo-examples (1.3-1) unstable; urgency=low

  * Changed license text from LGPL 2.1 or later to just LGPL 2.1.

 -- Maemo Integration <integration@maemo.org>  Tue,  7 Nov 2006 18:48:51 +0200
