=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: maemo-examples
-Section: doc
+Section: user/other
 Priority: optional
 Maintainer: Maemo Integration <integration@maemo.org>
-Build-Depends: debhelper (>= 4.0.0)
-Standards-Version: 3.7.2
+Build-Depends: debhelper (>= 4.0.0), libgconf2-dev, libhildon1-dev, libhildondesktop-dev, libhildonfm2-dev, libhildonhelp-dev, libgtk2.0-dev, libosso-dev, libdbus-1-dev, libosso-gnomevfs2-dev, libgstreamer0.10-dev, libebook-dev, libalarm-dev, libbluetooth2-dev, libgwobex-dev, libgpsbt-dev, osso-gpsd-dev, libosso-abook-dev
+Standards-Version: 3.6.0
 
 Package: maemo-examples
 Architecture: any
