=== debian/rules ===
--- 
+++ 
@@ -8,10 +8,10 @@
 
 
 build: build-stamp
-	$(MAKE)
 
 build-stamp: configure-stamp 
 	dh_testdir
+	$(MAKE)
 	touch build-stamp
 
 clean:
@@ -29,6 +29,7 @@
 	dh_testroot
 	dh_clean -k 
 	dh_installdirs
+	$(MAKE)
 	$(MAKE) install DESTDIR=$(CURDIR)/debian/maemo-examples
 
 
@@ -39,7 +40,6 @@
 binary-arch: build install
 	dh_testdir
 	dh_testroot
-	dh_link
 	dh_installexamples
 	dh_fixperms
 	dh_installdeb
